Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class LogicalImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.expression.ExpressionImpl
            |
            +--com.beasys.commerce.foundation.expression.LogicalImpl

Deprecated. Use `Expression` instead.

public class LogicalImpl
extends ExpressionImpl
implements Logical, java.lang.Cloneable

An expression which does a boolean AND or OR against a list of child expression.

See Also:
  `Logical`, `LogicalHome`, `ExpressionHelper`, Serialized Form

Field Summary
`java.util.Collection` | `children` Deprecated. The list of children Expressions.
`java.lang.String` | `logical` Deprecated. The boolean logical operator.

Fields inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`not`

Constructor Summary
`LogicalImpl()` Deprecated. Constructor.

Method Summary
`boolean` | `addAllChildren(java.util.Collection collection)` Deprecated. Adds all of the expressions in the specified collection to our list of children expressions.
`boolean` | `addChildren(Expression element)` Deprecated. Ensures that the list of children expressions contains the specified expression.
`void` | `clearChildren()` Deprecated. Removes all children expressions.
`int` | `compareTo(java.lang.Object o)` Deprecated. Compare this belonging to another
`boolean` | `containsAllChildren(java.util.Collection collection)` Deprecated. Returns true if all the specified expressions are our children.
`boolean` | `containsChildren(Expression element)` Deprecated. Returns true if the specified expression is one of our children.
`boolean` | `equalsChildren(java.lang.Object object)` Deprecated. Compares the specified object with the list of children expressions.
`java.util.Collection` | `getAllChildren()` Deprecated. Returns the list of children expressions.
`java.lang.String` | `getLogical()` Deprecated. Get the boolean logical operator.
`int` | `hashCodeChildren()` Deprecated. Returns the hash code value for the list of children expressions.
`java.lang.String` | `interfaceName()` Deprecated. interfaceName() returns the unqualified name of the interface from the UML model.
`boolean` | `isEmptyChildren()` Deprecated. Returns true if we have no children.
`java.util.Iterator` | `iteratorChildren()` Deprecated. Returns an iterator over the list of children expressions.
`boolean` | `removeAllChildren(java.util.Collection collection)` Deprecated. Removes, from our children, all of the expressions specified.
`boolean` | `removeChildren(Expression element)` Deprecated. Removes a single child expression from us.
`boolean` | `retainAllChildren(java.util.Collection collection)` Deprecated. Retains only the children which are also contained in the specified collection.
`void` | `setAllChildren(java.util.Collection collection)` Deprecated. Sets the list of children expressions.
`void` | `setByValue(java.lang.Object value)` Deprecated. It is possible to call set-by-value with a superclass.
`void` | `setLogical(java.lang.String logical)` Deprecated. Set the boolean logical operator.
`int` | `sizeChildren()` Deprecated. Returns the number of children expressions.
`java.lang.Object` | `value()` Deprecated. value() is a more typesafe implementation of clone()
`void` | `valueOf(java.lang.String expression)` Deprecated. Populate this Logical from the given expression string.

Methods inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`clone, equals, getNot, setNot, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### children

    public java.util.Collection children

  Deprecated.
  The list of children Expressions.
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Collection

### logical

    public java.lang.String logical

  Deprecated.
  The boolean logical operator.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### LogicalImpl

    public LogicalImpl()

  Deprecated.
  Constructor.

Method Detail

### getAllChildren

    public java.util.Collection getAllChildren()

  Deprecated.
  Returns the list of children expressions.
  Specified by:
    getAllChildren in interface Logical

### setAllChildren

    public void setAllChildren(java.util.Collection collection)

  Deprecated.
  Sets the list of children expressions.
  Specified by:
    setAllChildren in interface Logical

### addChildren

    public boolean addChildren(Expression element)

  Deprecated.
  Ensures that the list of children expressions contains the specified expression.
  Specified by:
    addChildren in interface Logical

### addAllChildren

    public boolean addAllChildren(java.util.Collection collection)

  Deprecated.
  Adds all of the expressions in the specified collection to our list of children expressions.
  Specified by:
    addAllChildren in interface Logical

### clearChildren

    public void clearChildren()

  Deprecated.
  Removes all children expressions.
  Specified by:
    clearChildren in interface Logical

### containsChildren

    public boolean containsChildren(Expression element)

  Deprecated.
  Returns true if the specified expression is one of our children.
  Specified by:
    containsChildren in interface Logical

### containsAllChildren

    public boolean containsAllChildren(java.util.Collection collection)

  Deprecated.
  Returns true if all the specified expressions are our children.
  Specified by:
    containsAllChildren in interface Logical

### equalsChildren

    public boolean equalsChildren(java.lang.Object object)

  Deprecated.
  Compares the specified object with the list of children expressions.
  Specified by:
    equalsChildren in interface Logical

### hashCodeChildren

    public int hashCodeChildren()

  Deprecated.
  Returns the hash code value for the list of children expressions.
  Specified by:
    hashCodeChildren in interface Logical

### isEmptyChildren

    public boolean isEmptyChildren()

  Deprecated.
  Returns true if we have no children.
  Specified by:
    isEmptyChildren in interface Logical

### iteratorChildren

    public java.util.Iterator iteratorChildren()

  Deprecated.
  Returns an iterator over the list of children expressions.
  Specified by:
    iteratorChildren in interface Logical

### removeChildren

    public boolean removeChildren(Expression element)

  Deprecated.
  Removes a single child expression from us.
  Specified by:
    removeChildren in interface Logical

### removeAllChildren

    public boolean removeAllChildren(java.util.Collection collection)

  Deprecated.
  Removes, from our children, all of the expressions specified.
  Specified by:
    removeAllChildren in interface Logical

### retainAllChildren

    public boolean retainAllChildren(java.util.Collection collection)

  Deprecated.
  Retains only the children which are also contained in the specified collection.
  Specified by:
    retainAllChildren in interface Logical

### sizeChildren

    public int sizeChildren()

  Deprecated.
  Returns the number of children expressions.
  Specified by:
    sizeChildren in interface Logical

### getLogical

    public java.lang.String getLogical()

  Deprecated.
  Get the boolean logical operator.
  Specified by:
    getLogical in interface Logical

### setLogical

    public void setLogical(java.lang.String logical)

  Deprecated.
  Set the boolean logical operator.
  Specified by:
    setLogical in interface Logical

### value

    public java.lang.Object value()

  Deprecated.
  value() is a more typesafe implementation of clone()

  Returns:
    a clone of this instance
  Overrides:
    value in class ExpressionImpl

### interfaceName

    public java.lang.String interfaceName()

  Deprecated.
  interfaceName() returns the unqualified name of the interface from the UML model.

  Returns:
    the unqualified name of the belonging interface
  Overrides:
    interfaceName in class ExpressionImpl

### setByValue

    public void setByValue(java.lang.Object value)

  Deprecated.
  It is possible to call set-by-value with a superclass.

  If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values. It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Overrides:
    setByValue in class ExpressionImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Deprecated.
  Compare this belonging to another

  Parameters:
    `o` - target object for comparision
  Returns:
    0 objects are equal
  Overrides:
    compareTo in class ExpressionImpl

### valueOf

    public void valueOf(java.lang.String expression)
                 throws java.lang.IllegalArgumentException

  Deprecated.
  Populate this Logical from the given expression string.

  Throws:
    java.lang.IllegalArgumentException - thrown on an invalid expression string.
  Overrides:
    valueOf in class ExpressionImpl
  See Also:
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved